Flame Lord Kakai:
Basically, to be qualified for a Monk, your level must be at least 20 and you must pass the Test of the Monk.
I cannot change your profession for you, however, because only those who have experienced Human society and understand the great world beyond the plateau are qualified to change profession. "Know the enemy as you know yourself, and you will be invincible in battle," the sages say.
To take the Test of the Monk, go to the Orc named Gantaki Zu Urutu of our village. He will tell you everything you need to know. Also, to change profession, you must go to the village of Gludin in the region of Gludio. There are Orcs there that teach warriors like you. Go find High Prefect Osborn. If you have the qualifications, he will change your profession to Monk.
Return